package com.bytedance.android.livesdk.livesetting.performance.degrade;

import X.7he;
import X.C3108Gmz;
import X.Crj;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.covode.number.Covode;

@SettingsKey("disable_follow_anim_opt")
public final class DisableFollowAnimOptSetting {
    @Group(isDefault = true, value = "control_group")
    public static final boolean DEFAULT = false;
    @Group("experimental_group")
    public static final boolean ENABLE = true;
    public static final DisableFollowAnimOptSetting INSTANCE = new DisableFollowAnimOptSetting();
    public static final Crj disable$delegate = 7he.LIZ(C3108Gmz.LIZ);

    public final boolean getDisable() {
        return ((Boolean) disable$delegate.getValue()).booleanValue();
    }

    static {
        Covode.recordClassIndex(18192);
    }
}
